# Disconnected Call Event This callback is made when the call is disconnected. It's a POST request to the specified calling callback URL. This event doesn't support instructions and only supports the hangup action. Endpoint: POST dice Version: 1.0.1 Security: Basic, Signed ## Request fields (application/json): - `event` (string, required) Must have the value dice. Enum: "dice", "ice", "ace", "pie", "notify" - `callid` (string) Used in some types of events, it presents the unique ID assigned to this call. - `conferenceId` (string) Used in some types of events, it presents the unique Conference ID assigned to this call. - `version` (integer) The current API version. - `timestamp` (string) The timestamp in UTC format. Example: "2023-04-21T14:45:51Z" - `custom` (string) A string that can be used to pass custom information related to the call. - `applicationKey` (string) The unique application key. You can find it in the Sinch [dashboard](https://dashboard.sinch.com/voice/apps). - `reason` (string) The reason the call was disconnected. Enum: "N/A", "ESTABLISHED", "OTHERPEERANSWERED", "TIMEOUT", "CALLERHANGUP", "CALLEEHANGUP", "BLOCKED", "MANAGERHANGUP", "NOCREDITPARTNER", "CLIENTNETWORK", "CONGESTION", "GENERALERROR", "CANCEL", "USERNOTFOUND", "CALLBACKERROR" - `result` (string) Contains the result of a call. Enum: "N/A", "ANSWERED", "BUSY", "NOANSWER", "FAILED" - `debit` (object) - `debit.currencyId` (string,null) - `debit.amount` (number) - `userRate` (object) - `to` (object) Known destination - `duration` (integer) The duration of the call in seconds. - `from` (string) Information about the initiator of the call. - `callHeaders` (array) If the call was initiated by a Sinch SDK client, call headers are the headers specified by the caller client. Read more about call headers [here](https://developers.sinch.com/docs/voice/api-reference/call-headers/). - `callHeaders.key` (string) The call header key of the key value pair. - `callHeaders.value` (string) The call header value of the key value pair. ## Response 200 fields